レンタルサーバーのPHPを7.4.13→8.0.7にしたら




トップページへ

ワードプレスにログインできない

PHPを8.0.7にアップデートしたら「ワードプレスにログインできない」ことが判明。

そしてエラーメッセージを読むと

Search Regex

でエラーが出ています、と表示されました。

 

そのプラグインは、WordPress用プラグイン

Search Regex  バージョン 2.4.1  (作者:John Godley氏)

でしたので、とりあえず

1 PHPを7.4.13にダウングレード

2 WordPressにログイン

3 プラグイン「Search Regex」を削除しました

4 様子見のためPHPは7.4.13のままとしました。

 

大変役に立つプラグインだったのですが、PHP8に対応していないだけなので仕方ありません。

これまでのお礼をかね、この場ですが作者のJohn Godley氏に感謝を申し上げます。





ほかの PHP の記事

[phpMyAdmin] カラム移動で「#1067 Invalid default value for '項目名'」

[PHP]別ファイルの関数の引数に値をセットし戻り値を得る

[PHP]グラフ用プログラムPHPlotのスタートから使い方まで

[PHP] 静的プロパティは :: 、動的プロパティは ->

[PHP]WindowsにComposerをインストールする